%/***************************************************************************
% *   Copyright (C) 2010 by Kamaledin Ghiasi-Shirazi                        *
% *   ghiathi@gmail.com                                                     *
% *                                                                         *
% *   This program is free software; you can redistribute it and/or modify  *
% *   it under the terms of the GNU General Public License as published by  *
% *   the Free Software Foundation; either version 3 of the License, or     *
% *   (at your option) any later version.                                   *
% *                                                                         *
% *   This program is distributed in the hope that it will be useful,       *
% *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
% *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
% *   GNU General Public License for more details.                          *
% *                                                                         *
% *   You should have received a copy of the GNU General Public License     *
% *   along with this program; if not, write to the                         *
% *   Free Software Foundation, Inc.,                                       *
% *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
% ***************************************************************************/

installDirectory = '/home/user/work/TI-KL';
matlabWorkDirectory = '/home/user/work';
moseklib = '/opt/mosek/5/tools/platform/linux32x86/bin/libmosek.so.5.0';

options = '-v CXXFLAGS="-fPIC -fexceptions -DUSE_SSE -msse2 -DUSE_SSE -O3 -ffast-math"';
options2 = '-v CXXFLAGS="-fPIC -fexceptions -O3 -ffast-math"';

mexstr = sprintf ('mex %s -O -outdir %s %s/liblbfgs-1.8/liblbfgsInterface.cpp %s/liblbfgs-1.8/lbfgs.cpp', options, matlabWorkDirectory, installDirectory, installDirectory);
eval (mexstr)

mexstr = sprintf ('mex %s -O -outdir %s %s/liblbfgs-1.8/LbfgsMaximizeWrtSigmaIsotropic.cpp %s/liblbfgs-1.8/lbfgs.cpp', options, matlabWorkDirectory, installDirectory, installDirectory);
eval (mexstr)

mexstr = sprintf ('mex %s -O -outdir %s %s/stprtool-based/isotropic_gaussian_mixture_kernelproj_mex.cpp', options, matlabWorkDirectory, installDirectory);
eval (mexstr);

mexstr = sprintf ('mex %s -O -outdir %s %s/stprtool-based/cosine_kernelproj_mex.c %s/stprtool-based/kernel_fun.c', options, matlabWorkDirectory, installDirectory, installDirectory);
eval (mexstr);

% ghiasi: for unkown reason, I could not safely run LocalAdaptInterface.cpp
% with -DUSE_SSE -msse2 -DUSE_SSE options.
mexstr = sprintf ('mex %s -O -outdir %s %s/liblbfgs-1.8/LocalAdaptInterface.cpp %s/liblbfgs-1.8/lbfgs.cpp %s', options2, matlabWorkDirectory, installDirectory, installDirectory, moseklib);
eval (mexstr);

